For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
            • GETList Themes
            • POSTUpload Theme
            • GETGet Theme
            • DELDelete Theme
              • POSTDownload Theme
              • POSTActivate Theme
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentThemesTheme Actions

Download Theme

POST
https://api.bigcommerce.com/stores/:store_hash/v3/themes/:uuid/actions/download
POST
/stores/:store_hash/v3/themes/:uuid/actions/download
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/themes/uuid/actions/download \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200response
1{
2 "job_id": "ceea1917b1518f5ae491da6ad8a56336"
3}

Downloads a stores Theme.

Was this page helpful?
Previous

Delete Theme

Next

Activate Theme

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Themesmodifystore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

uuidstringRequired
The theme identifier.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
whichenumOptional
Which revision to use.
Allowed values:

Response

Job ID for the background job processing the download.
job_idstring
The job identifier.